Skip to main content
GET
/
saved_filters
/
{saved_filter_token}
Get saved filter by token
curl --request GET \
  --url https://api.vantage.sh/v2/saved_filters/{saved_filter_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "svd_fltr_be3f24eb1b5aabf6",
  "title": "AWS Account",
  "cost_report_tokens": [
    "rprt_47023ad2b735f57d"
  ],
  "filter": "(costs.provider = 'aws' AND costs.account_id = '98')",
  "created_at": "2024-07-15T16:08:54Z",
  "created_by": "team_73f6001f98e9012b",
  "workspace_token": "wrkspc_be6568a301b1d06c"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

saved_filter_token
string
required

Response

SavedFilter model

token
string
required
title
string
required

The title of the SavedFilter.

Example:

"Platform Team Reports"

cost_report_tokens
string[]
required

The tokens for any CostReports the SavedFilter is applied to.

filter
string | null
required

The SavedFilter's filter, applied to any relevant CostReports. Additional documentation available at https://docs.vantage.sh/vql.

Example:

"costs.provider = 'azure'"

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

created_by
string | null
required

The token for the Creator of this SavedFilter.

workspace_token
string
required

The token for the Workspace the SavedFilter is a part of.